Bug 437645 - xchat-gnome doesn't reconnect immediately after a network status change
xchat-gnome doesn't reconnect immediately after a network status change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 13:35 EDT by Andrea Dell'Amico
Modified: 2011-04-15 17:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: xchat-gnome-0.26.2-0.git40c5bf988.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-15 17:56:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrea Dell'Amico 2008-03-15 13:35:44 EDT
Description of problem:
xchat-gnome doesn't reconnect immediatly after a nework disconnection or after a
suspend/resume cycle.

Version-Release number of selected component (if applicable):
0.18

How reproducible:
Always

Steps to Reproduce:
1. detach/reattach you network cable, or perform a suspend/resume cycle
2. Have NetworkManager running and managing your connection
  
Actual results:
xchat-gnome doesn't try to reconnect, it always waits for a (long) timeout.
Other applications (evolution, epiphany, liferea) see the network status change
immediatly.

Expected results:
Reconnection as soon as the network is available.

Additional info:
Comment 1 Bug Zapper 2008-11-26 05:10:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andrea Dell'Amico 2008-11-26 19:22:00 EST
The behaviour is unchanged at least in Fedora 9, I'll check F10 in some weeks.
Comment 3 ritz 2009-05-09 21:24:11 EDT
let me know, if this is seen.
Comment 4 Bug Zapper 2009-06-09 05:29:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 07:56:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Andrea Dell'Amico 2010-04-27 10:17:46 EDT
The bug is still present in F12.
Comment 7 Bug Zapper 2010-11-04 07:59:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Andrea Dell'Amico 2010-11-10 11:18:52 EST
Same problem, with the version distributed with F14
Comment 9 Fedora Update System 2011-04-09 20:01:41 EDT
xchat-gnome-0.26.2-0.git40c5bf988.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xchat-gnome-0.26.2-0.git40c5bf988.fc15
Comment 10 Fedora Update System 2011-04-09 21:43:37 EDT
Package xchat-gnome-0.26.2-0.git40c5bf988.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xchat-gnome-0.26.2-0.git40c5bf988.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xchat-gnome-0.26.2-0.git40c5bf988.fc15
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-04-15 17:56:00 EDT
xchat-gnome-0.26.2-0.git40c5bf988.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.